package com.example.agoldenbaum.datacharttransparency;

import android.graphics.Color;
import android.net.Uri;
import android.os.Parcel;
import android.support.annotation.NonNull;
import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;

import com.infragistics.controls.CategoryXAxis;
import com.infragistics.controls.DataChartView;
import com.infragistics.controls.LineSeries;
import com.infragistics.controls.NumericYAxis;
import com.infragistics.graphics.SolidColorBrush;

import java.util.List;


public class MainActivity extends ActionBarActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        RelativeLayout relLayout = (RelativeLayout)findViewById(R.id.relLayout1);

        DataChartView chart =new DataChartView(this);

        CategoryXAxis xAxis = new CategoryXAxis();
        NumericYAxis yAxis = new NumericYAxis();

        TestData data = new TestData();

        xAxis.setDataSource(data);
        xAxis.setLabel("Label");

        chart.addAxis(xAxis);
        chart.addAxis(yAxis);

        LineSeries ls = new LineSeries();
        ls.setDataSource(data);
        ls.setValueMemberPath("Value");
        ls.setXAxis(xAxis);
        ls.setYAxis(yAxis);

        chart.addSeries(ls);

        chart.setPlotAreaBackground(new SolidColorBrush(Color.TRANSPARENT));

        TextView textView = new TextView(this);
        textView.setText("someText");

        relLayout.addView(chart);
        relLayout.addView(textView);


        chart.bringToFront();
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
